Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server
Interface RemoteServerProject

All Superinterfaces:
  Remote

All Known Implementing Classes:
  ServerProject

    public interface RemoteServerProject

extends Remote

Method Summary
`void` | `close(RemoteSession session)`
`Collection` | `getCurrentSessions(RemoteSession session)`
`String` | `getDomainKbFactoryClassName()`
`RemoteServerFrameStore` | `getDomainKbFrameStore(RemoteSession session)`
`String` | `getProjectKbFactoryClassName()`
`RemoteServerFrameStore` | `getProjectKbFrameStore(RemoteSession session)`
`URI` | `getURI(RemoteSession session)`
`void` | `register(RemoteSession session)`

Method Detail

### getURI

    URI getURI(RemoteSession session)
               throws RemoteException

  Throws:
    `RemoteException`

### getDomainKbFrameStore

    RemoteServerFrameStore getDomainKbFrameStore(RemoteSession session)
                                                 throws RemoteException

  Throws:
    `RemoteException`

### getDomainKbFactoryClassName

    String getDomainKbFactoryClassName()
                                       throws RemoteException

  Throws:
    `RemoteException`

### getProjectKbFrameStore

    RemoteServerFrameStore getProjectKbFrameStore(RemoteSession session)
                                                  throws RemoteException

  Throws:
    `RemoteException`

### getProjectKbFactoryClassName

    String getProjectKbFactoryClassName()
                                        throws RemoteException

  Throws:
    `RemoteException`

### getCurrentSessions

    Collection getCurrentSessions(RemoteSession session)
                                  throws RemoteException

  Throws:
    `RemoteException`

### close

    void close(RemoteSession session)
               throws RemoteException

  Throws:
    `RemoteException`

### register

    void register(RemoteSession session)
                  throws RemoteException

  Throws:
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.